Bug 150090 - CAN-2005-0396 kdelibs DCOP DoS
CAN-2005-0396 kdelibs DCOP DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
impact=moderate,embargo=20050316,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-02 09:37 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 05:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
KDE 3.1.5 patch (1.87 KB, patch)
2005-03-02 09:39 EST, Josh Bressers
no flags Details | Diff
KDE 3.3 patch (1.86 KB, patch)
2005-03-02 09:40 EST, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:325 important SHIPPED_LIVE Important: kdelibs security update 2005-03-23 00:00:00 EST

  None (edit)
Description Josh Bressers 2005-03-02 09:37:44 EST
Sebastian Krahmer of the SUSE LINUX Security Team reported a local denial of
service vulnerability in KDE's Desktop Communication Protocol (DCOP) daemon
better known as dcopserver.

A local user can lock up the dcopserver of arbitrary other users on the same
machine by stalling the DCOP authentication process.

Although it is not possible to by pass the authentication process this way, it
can cause a significant reduction in desktop functionality for the affected users.
Comment 1 Josh Bressers 2005-03-02 09:38:20 EST
This issue should also affect RHEL3.

I'm not sure if this affects RHEL2.1 (than can you take a look).
Comment 2 Josh Bressers 2005-03-02 09:39:36 EST
Created attachment 111567 [details]
KDE 3.1.5 patch
Comment 3 Josh Bressers 2005-03-02 09:40:09 EST
Created attachment 111568 [details]
KDE 3.3 patch
Comment 4 Ngo Than 2005-03-02 15:21:01 EST
yes, it effects RHEL2.1 too.
Comment 5 Ngo Than 2005-03-02 16:08:49 EST
it's fixed in kdelibs-3.1.3-6.10 (RHEL3), kdelibs-2.2.2-16 (RHEL2.1),
kdelibs-3.3.1-3.5 (RHEL4)
Comment 6 Mark J. Cox 2005-03-14 04:17:51 EST
reopening until this is pushed
Comment 7 Mark J. Cox 2005-03-17 07:45:17 EST
is public, removing embargoed tag
Comment 8 Mark J. Cox 2005-03-23 05:21:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-325.html

Note You need to log in before you can comment on or make changes to this bug.